Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911069 - Review Request: nodejs-stack-trace - Node.js module to get v8 stack traces as an array of CallSite objects
Summary: Review Request: nodejs-stack-trace - Node.js module to get v8 stack traces as...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 911060
TreeView+ depends on / blocked
 
Reported: 2013-02-14 10:13 UTC by Jamie Nguyen
Modified: 2013-06-23 21:32 UTC (History)
3 users (show)

Fixed In Version: nodejs-stack-trace-0.0.6-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-17 04:32:11 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 10:13:43 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-stack-trace.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-stack-trace-0.0.6-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
Node.js module to get v8 stack traces as an array of CallSite objects.

Comment 2 Miro Hrončok 2013-06-06 12:24:03 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

[!]: [SHOULD] %check is present and all tests pass.
     Why are the tests turned off? Dependencies not yet satisfied?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-stack-trace-0.0.6-2.fc20.noarch.rpm
nodejs-stack-trace.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-stack-trace.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-stack-trace.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

All false positives.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-stack-trace
nodejs-stack-trace.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-stack-trace.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-stack-trace.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

All false positives.

Requires
--------
nodejs-stack-trace (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-stack-trace:
    nodejs-stack-trace
    npm(stack-trace)



Source checksums
----------------
http://registry.npmjs.org/stack-trace/-/stack-trace-0.0.6.tgz :
  CHECKSUM(SHA256) this package     : 398b3307d34c25b9249049229cd4a340ce8587dc3e3ab5cec830af19031c10a4
  CHECKSUM(SHA256) upstream package : 398b3307d34c25b9249049229cd4a340ce8587dc3e3ab5cec830af19031c10a4


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-devel-x86_64 -b 911069

$ rpm -qlvp ./nodejs-stack-trace-0.0.6-2.fc20.noarch.rpm 
drwxr-xr-x    2 root    root                        0 čen  6 14:16 /usr/lib/node_modules/stack-trace
drwxr-xr-x    2 root    root                        0 čen  6 14:16 /usr/lib/node_modules/stack-trace/lib
-rw-r--r--    1 root    root                     2719 srp  1  2011 /usr/lib/node_modules/stack-trace/lib/stack-trace.js
drwxr-xr-x    2 root    root                        0 čen  6 14:16 /usr/lib/node_modules/stack-trace/node_modules
-rw-r--r--    1 root    root                      537 srp  1  2011 /usr/lib/node_modules/stack-trace/package.json
drwxr-xr-x    2 root    root                        0 čen  6 14:16 /usr/share/doc/nodejs-stack-trace-0.0.6
-rw-r--r--    1 root    root                     1101 srp  1  2011 /usr/share/doc/nodejs-stack-trace-0.0.6/License
-rw-r--r--    1 root    root                     3690 srp  1  2011 /usr/share/doc/nodejs-stack-trace-0.0.6/Readme.md

Package APPROVED.

Comment 3 Jamie Nguyen 2013-06-07 08:07:40 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-stack-trace.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-stack-trace-0.0.6-3.fc18.src.rpm

I added a comment about why tests are disabled (dependencies not yet packaged). When I get the chance I'll do the same for all of my other open reviews that are in a similar situation.

Comment 4 Jamie Nguyen 2013-06-07 08:08:19 UTC
New Package SCM Request
=======================
Package Name: nodejs-stack-trace
Short Description: Node.js module to get v8 stack traces as an array of CallSite objects
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-06-07 12:50:28 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-06-07 21:00:54 UTC
nodejs-stack-trace-0.0.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-stack-trace-0.0.6-3.fc19

Comment 7 Fedora Update System 2013-06-07 21:01:51 UTC
nodejs-stack-trace-0.0.6-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-stack-trace-0.0.6-3.fc18

Comment 8 Fedora Update System 2013-06-07 21:03:03 UTC
nodejs-stack-trace-0.0.6-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-stack-trace-0.0.6-3.el6

Comment 9 Fedora Update System 2013-06-08 02:58:05 UTC
nodejs-stack-trace-0.0.6-3.fc19 has been pushed to the Fedora 19 testing repository.

Comment 10 Fedora Update System 2013-06-17 04:32:11 UTC
nodejs-stack-trace-0.0.6-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2013-06-18 01:35:16 UTC
nodejs-stack-trace-0.0.6-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-06-23 21:32:45 UTC
nodejs-stack-trace-0.0.6-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.